Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.ajax4jsf.config
Enum FrameworkConfiguration.InitParam

    java.lang.Object
      java.lang.Enum<FrameworkConfiguration.InitParam>
          org.ajax4jsf.config.FrameworkConfiguration.InitParam

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<FrameworkConfiguration.InitParam>

Enclosing class:
  FrameworkConfiguration

    public static enum FrameworkConfiguration.InitParam

extends java.lang.Enum<FrameworkConfiguration.InitParam>

Enum Constant Summary
`COMPRESS_SCRIPT`
`CONTROL_COMPONENTS`
`DEFAULT_EXPIRE`
`ENCRYPT_PASSWORD`
`ENCRYPT_RESOURCE_DATA`
`GLOBAL_RESOURCE_URI_PREFIX`
`LoadScriptStrategy`
`LoadStyleStrategy`
`LOGFILE`
`SERIALIZE_SERVER_STATE`
`SESSION_RESOURCE_URI_PREFIX`
`SKIN`
`VIEW_HANDLERS`

Method Summary
`java.lang.String` | `getDefaultValue()`
`java.lang.String` | `getQualifiedName()`
`static FrameworkConfiguration.InitParam` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static FrameworkConfiguration.InitParam[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SKIN

    public static final FrameworkConfiguration.InitParam SKIN

### LoadScriptStrategy

    public static final FrameworkConfiguration.InitParam LoadScriptStrategy

### LoadStyleStrategy

    public static final FrameworkConfiguration.InitParam LoadStyleStrategy

### LOGFILE

    public static final FrameworkConfiguration.InitParam LOGFILE

### VIEW_HANDLERS

    public static final FrameworkConfiguration.InitParam VIEW_HANDLERS

### CONTROL_COMPONENTS

    public static final FrameworkConfiguration.InitParam CONTROL_COMPONENTS

### ENCRYPT_PASSWORD

    public static final FrameworkConfiguration.InitParam ENCRYPT_PASSWORD

### GLOBAL_RESOURCE_URI_PREFIX

    public static final FrameworkConfiguration.InitParam GLOBAL_RESOURCE_URI_PREFIX

### SESSION_RESOURCE_URI_PREFIX

    public static final FrameworkConfiguration.InitParam SESSION_RESOURCE_URI_PREFIX

### ENCRYPT_RESOURCE_DATA

    public static final FrameworkConfiguration.InitParam ENCRYPT_RESOURCE_DATA

### COMPRESS_SCRIPT

    public static final FrameworkConfiguration.InitParam COMPRESS_SCRIPT

### SERIALIZE_SERVER_STATE

    public static final FrameworkConfiguration.InitParam SERIALIZE_SERVER_STATE

### DEFAULT_EXPIRE

    public static final FrameworkConfiguration.InitParam DEFAULT_EXPIRE

Method Detail

### values

    public static FrameworkConfiguration.InitParam[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (FrameworkConfiguration.InitParam c : FrameworkConfiguration.InitParam.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static FrameworkConfiguration.InitParam valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getDefaultValue

    public java.lang.String getDefaultValue()

### getQualifiedName

    public java.lang.String getQualifiedName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.